Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Class ClassLoaderRepository

    java.lang.Object
      |
      +--org.apache.bcel.util.ClassLoaderRepository

All Implemented Interfaces:
  Repository, java.io.Serializable

public class ClassLoaderRepository
extends java.lang.Object
implements Repository

The repository maintains information about which classes have been loaded. It loads its data from the ClassLoader implementation passed into its constructor.

Version:
  $Id: ClassLoaderRepository.java,v 1.4 2002/10/11 20:34:47 mdahm Exp $
Author:
  M. Dahm, David Dixon-Peugh
See Also:
  `Repository`, Serialized Form

Constructor Summary
`ClassLoaderRepository(java.lang.ClassLoader loader)`

Method Summary
`void` | `clear()` Clear all entries from cache.
`JavaClass` | `findClass(java.lang.String className)` Find an already defined JavaClass.
`JavaClass` | `loadClass(java.lang.Class clazz)` Find the JavaClass instance for the given run-time class object
`JavaClass` | `loadClass(java.lang.String className)` Lookup a JavaClass object from the Class Name provided.
`void` | `removeClass(JavaClass clazz)` Remove class from repository
`void` | `storeClass(JavaClass clazz)` Store a new JavaClass into this Repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderRepository

    public ClassLoaderRepository(java.lang.ClassLoader loader)

Method Detail

### storeClass

    public void storeClass(JavaClass clazz)

  Store a new JavaClass into this Repository.

  Specified by:
    `storeClass` in interface `Repository`

### removeClass

    public void removeClass(JavaClass clazz)

  Remove class from repository

  Specified by:
    `removeClass` in interface `Repository`

### findClass

    public JavaClass findClass(java.lang.String className)

  Find an already defined JavaClass.

  Specified by:
    `findClass` in interface `Repository`

### loadClass

    public JavaClass loadClass(java.lang.String className)
                        throws java.lang.ClassNotFoundException

  Lookup a JavaClass object from the Class Name provided.

  Specified by:
    `loadClass` in interface `Repository`
    `java.lang.ClassNotFoundException`

### loadClass

    public JavaClass loadClass(java.lang.Class clazz)
                        throws java.lang.ClassNotFoundException

  Description copied from interface: `Repository`
  Find the JavaClass instance for the given run-time class object

  Specified by:
    `loadClass` in interface `Repository`
    `java.lang.ClassNotFoundException`

### clear

    public void clear()

  Clear all entries from cache.

  Specified by:
    `clear` in interface `Repository`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.